using System;

class Program
{
    static void Main()
    {
        int n = int.Parse(Console.ReadLine());
        int[] a = new int[n];
        var s = Console.ReadLine().Split();

        for (int i = 0; i < n; i++)
        {
            a[i] = int.Parse(s[i]);
        }

        int q = int.Parse(Console.ReadLine());

        for (int i = 0; i < q; i++)
        {
            var p = Console.ReadLine().Split();
            int l = int.Parse(p[0]);
            int r = int.Parse(p[1]) - 1;
            int brojac = 0;

            for (int j = l; j <= r && brojac < 2; j++)
            {
                if (a[j - 1] > a[j])
                {
                    brojac++;
                }
            }

            if (brojac < 2)
            {
                Console.WriteLine("DA");
            }

            else
            {
                Console.WriteLine("NE");
            }
        }
    }
}

// Ovom kodu je doprineo Milos